# Ogre::D3D9DriverList Class Reference

`#include <OgreD3D9DriverList.h>`

List of all members.

## Public Member Functions

| D3D9DriverList (LPDIRECT3D9 pD3D)
| ~D3D9DriverList ()
BOOL | enumerate ()
size_t | count () const
D3D9Driver * | item (size_t index)
D3D9Driver * | item (const String &name)

## Private Attributes

std::vector< D3D9Driver > | mDriverList
LPDIRECT3D9 | mpD3D

## Constructor & Destructor Documentation

Ogre::D3D9DriverList::D3D9DriverList | ( | LPDIRECT3D9 | pD3D | ) |

Ogre::D3D9DriverList::~D3D9DriverList | ( |  | ) |

## Member Function Documentation

size_t Ogre::D3D9DriverList::count | ( |  | ) | const

BOOL Ogre::D3D9DriverList::enumerate | ( |  | ) |

D3D9Driver* Ogre::D3D9DriverList::item | ( | const String & | name | ) |

D3D9Driver* Ogre::D3D9DriverList::item | ( | size_t | index | ) |

## Member Data Documentation

std::vector<D3D9Driver> Ogre::D3D9DriverList::mDriverList `[private]`

| Definition at line 40 of file OgreD3D9DriverList.h.

LPDIRECT3D9 Ogre::D3D9DriverList::mpD3D `[private]`

| Definition at line 41 of file OgreD3D9DriverList.h.

The documentation for this class was generated from the following file:

- OgreD3D9DriverList.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:44:50 2005